# Data-Drive Denoising of Structed Light Scans

## Requirements

Data:
- The ABC 440 dataset, for the purpose of this demo without splits

Python:
- imageio
- matplotlib
- numba 0.52.0
- numpy
- pytorch 1.7.1
- tensorboard
- torchvision
- tqdm

If you are working with conda, you can easily set up a proper environment with the Python dependencies.

### conda
```
conda env create -f environment.yml
conda activate sls-denoising
```

## Training

Training requires a config file like `default.json` that contains the path to the ABC 440 dataset on your system. You need to set the path in the config file to the location where you extracted the dataset (the directory containing the samples, not the readme).

The training is then simply started with the `train.py` script
```
python -u train.py --max_epochs 20000 --config default.json
```

The progress of the training can be followed with Tensorboard
```
tensorboard --logdir out
```